org.restlet.engine.http.header

## Class TagWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.StringWriter
    - - org.restlet.engine.http.header.HeaderWriter<Tag>
      - - org.restlet.engine.http.header.TagWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class TagWriter
    extends HeaderWriter<Tag>

Tag header writer.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`TagWriter()`

### Method Summary

Methods
`HeaderWriter<Tag>` `append(Tag tag)` Appends a value.
`static java.lang.String` `write(java.util.List<Tag> tags)` Writes a list of tags.
`static java.lang.String` `write(Tag tag)` Writes a tag.

### Methods inherited from class org.restlet.engine.http.header.HeaderWriter

`append, append, append, append, append, append, appendComment, appendExtension, appendExtension, appendParameterSeparator, appendProduct, appendQuotedPair, appendQuotedString, appendSpace, appendToken, appendUriEncoded, appendValueSeparator, canWrite`

### Methods inherited from class java.io.StringWriter

`append, close, flush, getBuffer, toString, write, write, write, write`

### Methods inherited from class java.io.Writer

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TagWriter

    public TagWriter()

### Method Detail

#### write

    public static java.lang.String write(java.util.List<Tag> tags)

Writes a list of tags.

Parameters:
  `tags` - The tags to write.
Returns:
  This writer.

#### write

    public static java.lang.String write(Tag tag)

Writes a tag.

Parameters:
  `tag` - The tag to write.
Returns:
  This writer.

#### append

    public HeaderWriter<Tag> append(Tag tag)

Description copied from class: `HeaderWriter`
Appends a value.

Specified by:
  `append` in class `HeaderWriter<Tag>`
Parameters:
  `tag` - The value.
Returns:
  This writer.